var tabla;
//declaramos variables necesarias para trabajar con las Ventas y sus detalles
var impuesto=$("#impuesto").val();
var cont				=0;
var detalles			=0;
var indicepermisoborrar	=-20;
var tiempo 				=0;

$("#btnGuardar").hide();
$("#tipo_comprobante").change(marcarImpuesto);



//funcion que se ejecuta al inicio
function init(){
	mostrarform(false);
	listar();
   	listartarjetasdecliente();
   

   $("#btnGuardar").on("click",function(e){
	/* Evitamos el envío real del formulario */
		e.preventDefault(); 
		
		validar();
		var val = $("#validado").val();
		console.log(val);
		if (val==1){  
			bootbox.confirm("¿Esta seguro que quiere guardar los dato?", function(result){
				if (result) {
					modificarValoresAnumerico();
					guardaryeditar(e);	
				}
			})
		}
   });

   $("#formapermiso").on("submit",function(e){
	/* Evitamos el envío real del formulario */
	e.preventDefault();   
	buscarClave();
   });

   $("#cod_barra").keypress(function(e) {
	var keycode = (e.keyCode ? e.keyCode : e.which);
	var codigobarra = $("#cod_barra").val();
	if (keycode == '13') {
		// Evitamos el envío real del enter
		e.preventDefault();
		// Hacemos la llamada al API Buscamos el codigo de barra
		buscarcodigodebarra(codigobarra);
		return false;
	}
	});
	
	$("#cod_barra_tarjeta").keypress(function(e) {
		var keycode = (e.keyCode ? e.keyCode : e.which);
		var codigobarra = $("#cod_barra_tarjeta").val();
		if (keycode == '13') {
			// Evitamos el envío real del enter
			e.preventDefault();
			// Hacemos la llamada al API Buscamos el codigo de barra
			buscarcodigodebarratarjeta(codigobarra);
			return false;
		}
		});

   //cargamos los items al select cliente
  /*  $.post("controladores/barraControlador.php?op=selectClienteTarjeta", function(r){
   	$("#idtarjeta").html(r);
   	$('#idtarjeta').selectpicker('refresh');
   }); */
   
   //Buscamos el ultimo pedido
//	buscarNumeroPedido();




//Función para actualizar cada 20 segundos(20000 milisegundos)
setInterval("actualizar()",20000);

}

//Función actualizar
function actualizar(){
	if (tiempo ==1){
		location.reload();
		//mostrarform(false);
	}
}

//funcion limpiar
function limpiar(){
	$('#formulario').data('bootstrapValidator').resetForm(true);
	$("#idtarjeta").val("");
	$("#num_pedido").val("");
	$("#fecha_hora").val("");
	$("#impuesto").val("");
	$("#idpedido").val("");
	$("#total_venta").val("");
	$(".filas").remove();
	$("#total").html("0");

	//obtenemos la fecha actual
	var now 	= 	new Date();
    var today   = 	new Date();
	var dd 		=	("0"+now.getDate()).slice(-2);
    var mm		=	("0"+(now.getMonth()+1)).slice(-2);
    var yyyy    =   now.getFullYear();
	var today	=	yyyy+'-'+mm+'-'+dd;
	$(fecha_hora).val(today);

	//Buscamos el ultimo pedido
	//buscarNumeroPedido();
}




//funcion mostrar formulario
function mostrarform(flag,modulo){
	limpiar();
	tiempo =0;
	if(flag){
		$("#formularioregistros1").show();
		$("#btnCancelar").show();
		$("#listadoregistros").hide();
		$("#tarjetasdecliente").hide();
		$("#formularioregistros").hide();
		$("#btnagregar").hide();
		$("#btnGuardar").hide();
		$("#label_cod_barra").hide();
		$("#cod_barra").hide();
		$("#cod_barra_tarjeta").hide();
		$("#btnAgregarArt").hide();
		$("#btnAgregarArtb").hide();
		$("#btnAgregarBar").hide();
		
		detalles=0;
		listarArticulos();
		listarArticulosb();
		listarPedidoDeBarra();
		buscarTasaDeCambio();
		//Agregar
		if (modulo=='i'){
			
			$("#tarjetasdecliente").show();
			$("#label_cod_barra").show();
			$("#cod_barra_tarjeta").show();
			$("#cod_barra_tarjeta").val("");
			$("#cod_barra_tarjeta").focus();
		};
		if (modulo=='p'){
			$("#tarjetasdecliente").hide();
			$("#cod_barra_tarjeta").hide();
			$("#formularioregistros").show();
			$("#btnAgregarArt").show();
			$("#btnAgregarArtb").show();
			$("#label_cod_barra").show();
			$("#cod_barra").show();
			$("#cod_barra").val("");
			$("#cod_barra").focus();
			console.log(modulo);
		};
		// Mostrar
		if (modulo=='m'){
			$("#formularioregistros").show();
			$("#formularioregistros1").show();
		};
	}else{
		if ($("#idu").val()<3){
			$("#tarjetasdecliente").hide();
			$("#listadoregistros").show();
			$("#formularioregistros").hide();
			$("#formularioregistros1").show();
			$("#btnagregar").show();
			$("#btnAgregarArt").hide();
			$("#btnAgregarArtb").hide();
			$("#btnAgregarBar").hide();
			$("#btnGuardar").hide();
			$("#btnCancelar").hide();
			$("#cod_barra").hide();
			$("#cod_barra_tarjeta").hide();
			$("#label_cod_barra").hide();
		}else{
			tiempo =1;
			$("#tarjetasdecliente").show();
			$("#listadoregistros").hide();
			$("#formularioregistros").hide();
			$("#formularioregistros1").show();
			$("#btnagregar").hide();
			$("#btnAgregarArt").hide();
			$("#btnAgregarArtb").hide();
			$("#btnAgregarBar").hide();
			$("#btnGuardar").hide();
			$("#btnCancelar").show();
			$("#cod_barra").hide();
			$("#cod_barra_tarjeta").show();
			$("#label_cod_barra").show();
		}
		
	}
}


function buscarTarjeta(idtarjeta){
	$.post("controladores/tarjetaControlador.php?op=mostrar",{idtarjeta : idtarjeta},
		function(data,status)
		{
			console.log(data);
			data=JSON.parse(data);
			$("#nombretarjeta").val(data.nombre);
			$("#idtarjeta").val(data.idtarjeta);
			console.log('idtarjeta: '+data.idtarjeta);
		});
}


function buscarPedido(idtarjeta){
	$.post("controladores/barraControlador.php?op=buscarPedido",{idtarjeta : idtarjeta},
		function(data,status)
		{
			console.log(data);
			data=JSON.parse(data);
			$("#num_pedido").val(data.num_pedido);
			$("#idpedido").val(data.idpedido);
			console.log('num_pedido: '+data.num_pedido+' idpedido: '+data.idpedido);
		});
}

//Se busca el numero la tasa de cambio
function buscarTasaDeCambio(){
	idempresa_venta=$("#idempresa_venta").val();
	//alert ('idempresa_venta: '+idempresa_venta);
	$.post("controladores/empresaControlador.php?op=buscarTasaDeCambio",{idempresa_venta : idempresa_venta},
		function(data,status)
		{
			//alert ('estatus: '+status);
			data1=JSON.parse(data);
			$("#tasa_dollar").val(number_format(data1.tasa_dollar),2);
			$("#tasa_euro").val(number_format(data1.tasa_euro),2);
	//		alert ('Control: '+data1.nrocontrol+' Factura: '+data1.nrofactura);
		});
}


//Para Accesar la tarjeta seleccionada
function mostrartarjetacliente(idtarjeta,estadopedido) {
	buscarTarjeta(idtarjeta);
	if (estadopedido==1){
		buscarPedido(idtarjeta);
		agregarDetallePorTarjeDeCliente(idtarjeta);
		
	}else{
		//Buscamos el ultimo pedido
		buscarNumeroPedido();
	}
	//alert('estado:'+estadopedido);
	mostrarform(true,'p');
}



//cancelar form
function cancelarform(){
	limpiar();
	mostrarform(false);
}

//Se busca el numero de factura y control
function buscarNumeroPedido(){
	$.post("controladores/barraControlador.php?op=buscarNumeroPedido",
		function(data,status)
		{
			//alert ('estatus: '+status);
			var pedido 	= 	1;
			data1		=	JSON.parse(data);
			if(data1 == null){
				$("#num_pedido").val(pedido);
				$("#num_pedido").val(pedido+'-'+$("#idu").val());
			}else{
				pedido 	= 	(data1.num_pedido*1)+1;
				$("#num_pedido").val(pedido+'-'+$("#idu").val());
			}
			console.log('#idu: '+$("#idu").val());
			console.log('#num_pedido: '+$("#num_pedido").val());
			//alert ('num_pedido: '+pedido);
		});
}

//funcion listar
function listar(){
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/barraControlador.php?op=listar',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarArticulos(){
	tabla=$('#tblarticulos').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/barraControlador.php?op=listarArticulos',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarArticulosb(){
	tabla=$('#tblarticulosb').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/barraControlador.php?op=listarArticulosb',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarPedidoDeBarra(){
	tabla=$('#tblbarras').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/barraControlador.php?op=listarPedidoDeBarra',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}


function listartarjetasdecliente() {
	$.post("controladores/tarjetaControlador.php?op=listartarjetasdecliente",function(r){
		$("#tarjetasdecliente").html(r);
	});	
}


//funcion para guardaryeditar
function guardaryeditar(e){
     e.preventDefault();//no se activara la accion predeterminada 
	 //$("#btnGuardar").prop("disabled",true);
	 console.log('idpedido guardar: '+$("#idpedido").val());
     var formData=new FormData($("#formulario")[0]);
 	//alert ('estoy en guardar antes de insertar');
     $.ajax({
     	url: "controladores/barraControlador.php?op=guardaryeditar",
     	type: "POST",
     	data: formData,
     	contentType: false,
     	processData: false,

     	success: function(datos){
     		bootbox.alert(datos);
     		mostrarform(false);
			listar();
			listartarjetasdecliente();
     	}
     });

     limpiar();
}


function mostrar(idpedido){
	console.log('idpedido: '+idpedido);
	$.post("controladores/barraControlador.php?op=mostrar",{idpedido : idpedido},
		function(data,status)
		{
			console.log(data);
			data=JSON.parse(data);
			mostrarform(true,'m');
			$("#idtarjeta").val(data.idtarjeta);
			$("#nombretarjeta").val(data.tarjeta);
			$("#idpedido").val(data.num_pedido);
			$("#num_pedido").val(data.num_pedido);
			$("#fecha_hora").val(data.fecha);
			$("#impuesto").val(data.impuesto);
			$("#idpedido").val(data.idpedido);
			//ocultar y mostrar los botones
			/* $("#btnGuardar").hide();
			$("#btnAgregarArt").hide();
			$("btnAgregarSer").hide();
			$("#btnCancelar").show(); */
		});
	$.post("controladores/barraControlador.php?op=listarDetalle&id="+idpedido,function(r){
		$("#detalles").html(r);
	});

}



//funcion para desactivar
function anular(idpedido){
	bootbox.confirm("¿Esta seguro de desactivar este dato?", function(result){
		if (result) {
			$.post("controladores/barraControlador.php?op=anular", {idpedido : idpedido}, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}


function marcarImpuesto(){
	var tipo_comprobante=$("#tipo_comprobante option:selected").text();
	if (tipo_comprobante=='Factura') {
		$("#impuesto").val(impuesto);
	}else{
		$("#impuesto").val("0");
	}
}

function buscarcodigodebarratarjeta(codbarra){
	//alert ('buscando codigo de barra: '+codbarra);
	var estado = 0;
	$.ajax({
		url: 'complemento/leercodigobarratarjeta.php',
		method: 'post',
		data: {
			codigobarra: codbarra,
		},
		})
		.done(function(datos) {
		/* Depuramos los datos recibidos */
		console.log( datos );
		/* Si no se devolvió ningún registro (false) debería hacerse algo */
		if (datos === false) {
			/* hacer algo */
			bootbox.alert('No se encontró el código de barras');
			$("#cod_barra").val("");
			return;
		}
		/* Agregamos una fila con los datos obtenidos */
			if (datos.estado=='Pendiente'){
				estado=1;
			}
			mostrartarjetacliente(datos.idtarjeta,estado);
		})
		.fail(function() {
			alert( "Error" );
		})
		.always(function() {
		/* Seleccionamos el texto para que se pueda sobreescribir por la siguiente lectura */
		$("input[name='cod_barra']").select();
		});
}

function buscarcodigodebarrabodegon(codbarra){
	//alert ('buscando codigo de barra: '+codbarra);
	$.ajax({
		url: 'complemento/leercodigobarra.php',
		method: 'post',
		data: {
			codigobarra: codbarra,
		},
		})
		.done(function(datos) {
		/* Depuramos los datos recibidos */
		console.log( datos );
		/* Si no se devolvió ningún registro (false) debería hacerse algo */
		if (datos === false) {
			/* hacer algo */
			
			bootbox.alert('No se encontró el código de barras');
			$("#cod_barra").val("");
			$("#cod_barra").focus(); 
			return;
		}
		/* Agregamos una fila con los datos obtenidos */
		//agregarDetalle(idarticulo,idalmacen,articulo,precio_venta,preciod,preciodsiniva,porcentaje,exento)
		   agregarDetalle(datos.idarticulo,datos.idalmacen,datos.nombre,datos.precio,datos.preciod,datos.preciodsiniva,datos.porcentaje,datos.exento);
		})
		.fail(function() {
			alert( "Error" );
		})
		.always(function() {
		/* Seleccionamos el texto para que se pueda sobreescribir por la siguiente lectura */
		$("input[name='cod_barra']").select();
		});
}



function buscarcodigodebarra(codbarra){
	//alert ('buscando codigo de barra: '+codbarra);
	$.ajax({
		url: 'complemento/leercodigobarradelabarra.php',
		method: 'post',
		data: {
			codigobarra: codbarra,
		},
		})
		.done(function(datos) {
		/* Depuramos los datos recibidos */
		console.log( datos );
		/* Si no se devolvió ningún registro (false) debería hacerse algo */
		if (datos === false) {
			/* hacer algo */
			
			buscarcodigodebarrabodegon(codbarra);
			$("#cod_barra").val("");
			$("#cod_barra").focus(); 
			return;
		}
		/* Agregamos una fila con los datos obtenidos */
		//agregarDetalle(idarticulo,idalmacen,articulo,precio_venta,preciod,preciodsiniva,porcentaje,exento)
		   agregarDetalle(datos.idarticulo,datos.idalmacen,datos.nombre,datos.precio,datos.preciod,datos.preciodsiniva,datos.porcentaje,datos.exento);
		})
		.fail(function() {
			alert( "Error" );
		})
		.always(function() {
		/* Seleccionamos el texto para que se pueda sobreescribir por la siguiente lectura */
		$("input[name='cod_barra']").select();
		});
}

function agregarDetallePorTarjeDeCliente(idtarjeta){
	$.post("controladores/barraControlador.php?op=agregarDetallePorTarjeDeCliente&id="+idtarjeta+"&cont="+cont,function(r){
		$('#detalles').append(r);
		//calculamos la cantidad de articulos que agregaron
		var idart	=	document.getElementsByName("idarticulo[]");
		var nroar	=	idart.length;
		detalles	=	detalles+nroar;
		cont		=	cont+nroar;
		modificarSubtotales('no');
		
	//	$("#detalles").html(r);
	});
}

/*
'<td><input type="text" name="precio_venta[]" id="precio_venta[]" style="text-align:right;width:120px" value="'+number_format(precio,2)+'"></td>'+
		'<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'+number_format(preciod,0)+'"></td>'+
		'<td><input type="text" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="'+number_format(porcentaje)+'"></td>'+
		'<td><input type="text" name="descuento[]" style="text-align:right;width:120px" value="'+number_format(descuento,2)+'" ></td>'+
		'<td><input type="text" style="text-align:right;width:120px" name="subtotal[]" id="subtotal[]"  value="'+number_format(subtotal,2)+'"></td>'+
        //'<td><span id="subtotal'+cont+'" name="subtotal">'+subtotal+'</span></td>'+
		'<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>'+
		'<input type="hidden" name="nrolote[]" value="'+nrolote+'">'+
		'<input type="hidden" name="articulo[]" id="articulo[]" value="'+articulo+'">'+
		'<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="'+(idpedido*1)+'">'+
		'<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'+idalmacen+'">'+
		'<input type="hidden" name="iva[]" value="'+number_format(iva,2)+'">'+
		'<input type="hidden" name="exentot[]" value="'+number_format(exentot,2)+'">'+
*/
function agregarDetalle(idarticulo,idalmacen,articulo,precio_venta,preciod,preciodsiniva,porcentaje,exento){
	var cantidad	=	1;
	var descuento	=	0;
	var tasa		= numero($("#tasa_dollar").val());
	precio_venta	=	preciod*tasa;
	impuestoiva		=	1+(impuesto/100);
	precio_venta1	=	precio_venta/impuestoiva;
	console.log('precio_venta: '+precio_venta+' precio_venta1: '+precio_venta1+' tasa: '+tasa+' impuestoiva: '+impuestoiva);
	if (idarticulo!="") {
		var iva 	= 0;
		var subtotal= 0;
		var exentot	= 0;
		var precio 	= 0;
		if (exento=='si'){
			precio 		= precio_venta*1;
			exentot		= precio_venta*1;
			articulo 	= articulo + ' (E)';
			iva			= 0;
		}else{
			iva			= (precio_venta1*impuesto)/100;
			precio		= precio_venta1+iva;
			exentot		= 0;
		}	
		subtotal			= cantidad*precio;
		/* <tr class="filas" bgcolor="#F0F984" id="fila'.$cont.'">
			<td><button type="button" class="btn btn-danger" onclick="eliminarDetalleClave('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</td>
			<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:100px" value="'.number_format($reg->cantidad,0,',','.').'" readonly></td>
			<td><input type="text" name="precio_venta[]" id="precio_venta[]" style="text-align:right;width:160px" value="'.number_format($reg->precio_venta,2,',','.').'" readonly></td>
			<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'.number_format($reg->preciod,1,',','.').'" readonly></td>
			<td><input type="text" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:120px" value="'.number_format($reg->porcentaje,0,',','.').'" readonly></td>
			<td><input type="text" name="descuento[]" value="'.number_format($reg->descuento,2,',','.').'" style="text-align:right;width:160px" readonly></td>
			<td style="width:120px;text-align:right"><span id="subtotal'.$cont.'" name="subtotal">'.number_format($reg->subtotal,2,',','.').'</span></td>
			<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button></td>
			<td style="visibility:hidden"><input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'"></td>
			</tr> */
		var fila='<tr class="filas" id="fila'+cont+'">'+
        '<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
		'<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
		'<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:100px" value="'+number_format(cantidad)+'"></td>'+
		'<td><input type="text" name="precio_venta[]" id="precio_venta[]" style="text-align:right;width:160px" value="'+number_format(precio,2)+'" readonly></td>'+
		'<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'+number_format(preciod,1)+'" readonly></td>'+
		
        '<td style="width:120px;text-align:right"><span id="subtotal'+cont+'" name="subtotal">'+number_format(subtotal,2)+'</span></td>'+
        '<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button></td>'+
		'<td style="visibility:hidden">'+
		'<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'+idalmacen+'">'+
		'<input type="hidden" name="iva[]" value="'+number_format(iva,2)+'">'+
		'<input type="hidden" name="exentot[]" value="'+number_format(exentot,2)+'">'+
		'<input type="hidden" name="porcentaje[]" id="porcentaje[]" value="'+number_format(porcentaje)+'"></td>'+
        '<input type="hidden" name="descuento[]" value="'+number_format(descuento,2)+'"'+

		'</td>'+
		'</tr>';
		cont++;
		detalles++;
		$('#detalles').append(fila);
		modificarSubtotales();
		
	}else{
		alert("error al ingresar el detalle, revisar las datos del articulo ");
	}
}

function modificarValoresAnumerico(){
	var cant	=document.getElementsByName("cantidad[]");
	var prev	=document.getElementsByName("precio_venta[]");
	var prevd	=document.getElementsByName("precio_ventad[]");
	var desc	=document.getElementsByName("descuento[]");
	var porc	=document.getElementsByName("porcentaje[]");
	var sub		=document.getElementsByName("subtotal");
	for (var i = 0; i < cant.length; i++) {
		var Cmod	=	cant[i];
		var Pvmod	=	prev[i];
		var Pvmodd	=	prevd[i];
		var Dmod	=	desc[i];
		var Smod	=	sub[i];
		Cmod.value	=	numero(Cmod.value);
		Dmod.value	=	numero(Dmod.value);
		Pvmod.value	=	numero(Pvmod.value);
		Pvmodd.value=	numero(Pvmodd.value);
		Smod.value	=	numero(Smod.value);
	}
}


function modificarSubtotales(boton){
	var idart=document.getElementsByName("idarticulo[]");
	var cant=document.getElementsByName("cantidad[]");
	var prev=document.getElementsByName("precio_venta[]");
	var desc=document.getElementsByName("descuento[]");
	var porc=document.getElementsByName("porcentaje[]");
	var sub=document.getElementsByName("subtotal");

	
	for (var i = 0; i < cant.length; i++) {
		var inpV=cant[i];
		var inpP=prev[i];
		var inpS=sub[i];
		var des=desc[i];
		var por=porc[i];
		porT=0;
		if (numero(por.value)>0){
			if (numero(inpP.value)>0){
				porT		= (numero(inpP.value)*numero(por.value))/100;
				console.log(porT);
				inpS.value	= (numero(inpV.value)*(numero(inpP.value)-porT))-(numero(des.value));

			}else{
				porT		= (Totales()*numero(por.value))/100;
				inpS.value	= porT;
				//inpS.value=1000;
			}
		}else{
			inpS.value		=	(numero(inpV.value)*numero(inpP.value))-numero(des.value);
		}
		document.getElementsByName("subtotal")[i].innerHTML=number_format(inpS.value,2);
	}
	calcularTotales(boton);
}

function calcularTotales(boton){
	var sub 	= document.getElementsByName("subtotal");
	var total	= 0.0;

	for (var i = 0; i < sub.length; i++) {
		total += numero(document.getElementsByName("subtotal")[i].value);
	}
	$("#total").html("Bs." + number_format(total,2));
	$("#total_venta").val(total);
	evaluar(boton);
}

function Totales(){
	var sub 	= document.getElementsByName("subtotal");
	var prev	= document.getElementsByName("precio_venta[]");
	var total	= 0.0;

	for (var i = 0; i < sub.length; i++) {
		if (prev[i].value>0){
			total += numero(sub[i].value);
		}
	}
	return total;
}

function evaluar(boton){
	$("#cod_barra").val("");
	$("#cod_barra").focus();
	//alert('detalles: '+detalles);
	if (detalles>0) 
	{
		$("#btnGuardar").show();
	}
	else
	{
		$("#btnGuardar").hide();
		cont=0;
	}
	if (boton=='no'){
		$("#btnGuardar").hide();
	}
}


function buscarClave(clave){
	logina=$("#usuariopermiso").val();
	clavea=$("#clavepermiso").val();
	console.log(logina,clavea);
    $.post("controladores/usuarioControlador.php?op=verificarpermiso",
    {"logina":logina, "clavea":clavea},
    function(data)
    {
	    console.log(data);
        if (data==1){
			$("#usuariopermiso").val("");
			$("#clavepermiso").val("");
			$('#myModalPermiso').modal('hide');
			eliminarDetalle(indicepermisoborrar);
          // window.location="escritorio";
        }else{
            swal(
                'Error inesperado',
                'El Usuario y/o Password son incorrectos',
                'error'
            ); 
        }
	})
}


function eliminarDetalleClave(indice) {
	$('#myModalPermiso').modal('show');
	indicepermisoborrar=indice;
}


function eliminarDetalle(indice){
$("#fila"+indice).remove();
detalles=detalles-1;
calcularTotales();
}

init();